const Router = VueRouter;
const routes = [
    //默认跳转到登录页
    {
        path: "/",
        redirect: "/loadingPage"
    },
    //loading
    {
        path: '/loadingPage',
        component: () => import('@/views/loadingPage/index'),
        hidden: true
    },
    //商品选择 测试
    {
        path: '/test-good-share',
        component: () => import('@/views/good-share/index'),
        hidden: true
    },
    //商品选择
    {
        path: '/good-share',
        component: () => import('@/views/good-share/index'),
        hidden: true
    },

];
const router = new Router({
    mode: "hash",
    base: process.env.BASE_URL,
    scrollBehavior: () => ({ y: 0 }),
    routes
});

// 重写路由的push方法，主要是为了解决同一个路由路径重复点击报错
const routerPush = Router.prototype.push;
Router.prototype.push = function push(location) {
    return routerPush.call(this, location).catch(error => error);
};
Vue.use(Router);
export default router;
